"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LRUCache = void 0;
class LRUCache {
    constructor(_maxSize = 100) {
        this._maxSize = _maxSize;
        this._cacheMap = new Map();
    }
    set(key, value) {
        this._cacheMap.set(key, value);
        if (this._cacheMap.size > this._maxSize) {
            const lru = this._cacheMap.keys().next();
            this._cacheMap.delete(lru.value);
        }
    }
    get(key) {
        const result = this._cacheMap.get(key);
        if (!result)
            return;
        this._cacheMap.delete(key);
        this._cacheMap.set(key, result);
        return result;
    }
    has(key) {
        return this._cacheMap.has(key);
    }
    delete(key) {
        this._cacheMap.delete(key);
    }
}
exports.LRUCache = LRUCache;
//# sourceMappingURL=lru-cache.js.map