import type { CommandOptions } from '../parser';
export declare const cliDefinition: {
    readonly description: "Extract GraphQL documents from TypeScript sources.";
    readonly options: {
        readonly project: {
            readonly alias: "p";
            readonly description: "Analyze the project given the path to its configuration file, or to a folder with a 'tsconfig.json'.";
            readonly defaultValue: ".";
            readonly type: "string";
        };
        readonly outFile: {
            readonly alias: "o";
            readonly description: "Output file name of manifest.";
            readonly defaultValue: "manifest.json";
            readonly type: "string";
        };
        readonly verbose: {
            readonly description: "Show debug messages.";
            readonly type: "boolean";
        };
    };
};
export declare function extractCommand({ options }: CommandOptions<typeof cliDefinition>): Promise<boolean>;
