import type { CommandOptions } from '../parser';
export declare const cliDefinition: {
    readonly description: "Generate TypeScript types from GraphQL operations or fragments in your .ts source files.";
    readonly options: {
        readonly project: {
            readonly alias: "p";
            readonly description: "Analyze the project given the path to its configuration file, or to a folder with a 'tsconfig.json'.";
            readonly defaultValue: ".";
            readonly type: "string";
        };
        readonly verbose: {
            readonly description: "Show debug messages.";
            readonly type: "boolean";
        };
    };
};
export declare function typegenCommand({ options }: CommandOptions<typeof cliDefinition>): Promise<boolean>;
