import type { CommandOptions } from '../parser';
export declare const cliDefinition: {
    readonly description: "Validate GraphQL documents in your TypeScript sources.";
    readonly options: {
        readonly project: {
            readonly alias: "p";
            readonly description: "Analyze the project given the path to its configuration file, or to a folder with a 'tsconfig.json'.";
            readonly defaultValue: ".";
            readonly type: "string";
        };
        readonly verbose: {
            readonly description: "Show debug messages.";
            readonly type: "boolean";
        };
        readonly exitOnWarn: {
            readonly description: "Exit with code 0 even when warnings are found.";
            readonly type: "boolean";
        };
    };
};
export declare function validateCommand({ options }: CommandOptions<typeof cliDefinition>): Promise<boolean>;
