"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ERROR_CODES = exports.ErrorWithoutLocation = exports.ErrorWithLocation = exports.ErrorReporter = void 0;
var error_reporter_1 = require("./error-reporter");
Object.defineProperty(exports, "ErrorReporter", { enumerable: true, get: function () { return error_reporter_1.ErrorReporter; } });
class ErrorWithLocation extends Error {
    constructor(message, errorContent) {
        super(message);
        this.message = message;
        this.errorContent = errorContent;
        this.name = 'ErrorWithLocation';
        this.severity = 'Error';
        if (errorContent.severity) {
            this.severity = errorContent.severity;
        }
    }
}
exports.ErrorWithLocation = ErrorWithLocation;
class ErrorWithoutLocation extends Error {
    constructor(message, severity = 'Error') {
        super(message);
        this.message = message;
        this.severity = severity;
        this.name = 'ErrorWithoutLocation';
    }
}
exports.ErrorWithoutLocation = ErrorWithoutLocation;
exports.ERROR_CODES = {
    graphqlLangServiceError: {
        code: 51001,
    },
    duplicatedFragmentDefinitions: {
        code: 51002,
        message: 'All fragments must have an unique name.',
    },
    templateIsTooComplex: {
        code: 51010,
        message: 'This operation or fragment has too complex interpolation to analyze.',
    },
    errorInOtherInterpolation: {
        code: 51011,
        message: 'This expression has some GraphQL errors.',
    },
    schemaBuildError: {
        code: 51020,
    },
};
//# sourceMappingURL=index.js.map