"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LanguageServiceProxyBuilder = void 0;
class LanguageServiceProxyBuilder {
    constructor(_info) {
        this._info = _info;
        this._wrappers = [];
    }
    wrap(name, wrapper) {
        this._wrappers.push({ name, wrapper });
        return this;
    }
    build() {
        const ret = this._info.languageService;
        this._wrappers.forEach(({ name, wrapper }) => {
            ret[name] = wrapper(this._info.languageService[name], this._info);
        });
        return ret;
    }
}
exports.LanguageServiceProxyBuilder = LanguageServiceProxyBuilder;
//# sourceMappingURL=language-service-proxy-builder.js.map