"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.executeTestingSchema = void 0;
const graphql_1 = require("graphql");
const testingSchema = new graphql_1.GraphQLSchema({
    query: new graphql_1.GraphQLObjectType({
        name: 'RootQueryType',
        fields: {
            hello: {
                type: graphql_1.GraphQLString,
                resolve() {
                    return 'world';
                },
            },
        },
    }),
});
function executeTestingSchema({ query, variables, }) {
    return (0, graphql_1.graphqlSync)({
        schema: testingSchema,
        source: query,
        variableValues: variables,
    });
}
exports.executeTestingSchema = executeTestingSchema;
//# sourceMappingURL=testing-schema-object.js.map