"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createFileNameFilter = void 0;
const node_path_1 = __importDefault(require("node:path"));
function createFileNameFilter({ specs, projectName, _forceWin32 = false, }) {
    const path = _forceWin32 ? node_path_1.default.win32 : node_path_1.default;
    const excludeDocuments = (specs !== null && specs !== void 0 ? specs : []).map(str => (str[str.length - 1] === '/' ? str.slice(0, str.length - 1) : str));
    const projectRootDirName = path.dirname(projectName);
    const match = (fileName) => {
        const normalized = path.relative(projectRootDirName, fileName).replace(/\\/g, '/');
        return excludeDocuments.some(spec => spec === normalized || normalized.startsWith(spec + '/'));
    };
    return match;
}
exports.createFileNameFilter = createFileNameFilter;
//# sourceMappingURL=file-name-filter.js.map