"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.registerDocumentChangeEvent = void 0;
function registerDocumentChangeEvent(target, documentChangeEventListener) {
    target.acquireDocument = new Proxy(target.acquireDocument, {
        apply: (delegate, thisArg, args) => {
            const [fileName, , , version] = args;
            const sourceFile = delegate.apply(thisArg, args);
            documentChangeEventListener.onAcquire(fileName, sourceFile, version);
            return sourceFile;
        },
    });
    target.acquireDocumentWithKey = new Proxy(target.acquireDocumentWithKey, {
        apply: (delegate, thisArg, args) => {
            const [fileName, , , , , version] = args;
            const sourceFile = delegate.apply(thisArg, args);
            documentChangeEventListener.onAcquire(fileName, sourceFile, version);
            return sourceFile;
        },
    });
    target.updateDocument = new Proxy(target.updateDocument, {
        apply: (delegate, thisArg, args) => {
            var _a;
            const [fileName, , , version] = args;
            const sourceFile = delegate.apply(thisArg, args);
            (_a = documentChangeEventListener.onUpdate) === null || _a === void 0 ? void 0 : _a.call(documentChangeEventListener, fileName, sourceFile, version);
            return sourceFile;
        },
    });
    target.updateDocumentWithKey = new Proxy(target.updateDocumentWithKey, {
        apply: (delegate, thisArg, args) => {
            var _a;
            const [fileName, , , , , version] = args;
            const sourceFile = delegate.apply(thisArg, args);
            (_a = documentChangeEventListener.onUpdate) === null || _a === void 0 ? void 0 : _a.call(documentChangeEventListener, fileName, sourceFile, version);
            return sourceFile;
        },
    });
    target.releaseDocument = new Proxy(target.releaseDocument, {
        apply: (delegate, thisArg, args) => {
            var _a;
            const [fileName] = args;
            delegate.apply(thisArg, args);
            (_a = documentChangeEventListener.onRelease) === null || _a === void 0 ? void 0 : _a.call(documentChangeEventListener, fileName);
        },
    });
    target.releaseDocumentWithKey = new Proxy(target.releaseDocumentWithKey, {
        apply: (delegate, thisArg, args) => {
            var _a;
            const [fileName] = args;
            delegate.apply(thisArg, args);
            (_a = documentChangeEventListener.onRelease) === null || _a === void 0 ? void 0 : _a.call(documentChangeEventListener, fileName);
        },
    });
}
exports.registerDocumentChangeEvent = registerDocumentChangeEvent;
//# sourceMappingURL=register-document-change-event.js.map