import ts from '../tsmodule';
export declare class ScriptHost implements ts.LanguageServiceHost {
    private readonly _currentDirectory;
    private readonly _compilerOptions;
    private readonly _fileMap;
    private readonly _fileVersionMap;
    constructor(_currentDirectory: string, _compilerOptions: ts.CompilerOptions);
    readFile(fileName: string): string | undefined;
    loadFromFileSystem(fileName: string): string | undefined;
    getCurrentDirectory(): string;
    getScriptSnapshot(fileName: string): ts.IScriptSnapshot | undefined;
    getScriptVersion(fileName: string): string;
    getScriptFileNames(): string[];
    getCompilationSettings(): ts.CompilerOptions;
    getDefaultLibFileName(opt: ts.CompilerOptions): string;
    fileExists(path: string): boolean;
    protected _updateFile(fileName: string, content: string | undefined): void;
}
