"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.printNode = void 0;
const typescript_1 = __importDefault(require("typescript"));
let printer = undefined;
function printNode(node, hint) {
    if (!node)
        return '<UNDEFINED>';
    if (!printer) {
        printer = typescript_1.default.createPrinter({
            newLine: typescript_1.default.NewLineKind.LineFeed,
            removeComments: false,
        });
    }
    const outSource = typescript_1.default.createSourceFile('out.ts', '', typescript_1.default.ScriptTarget.Latest, true, typescript_1.default.ScriptKind.TS);
    return printer.printNode(hint !== null && hint !== void 0 ? hint : typescript_1.default.EmitHint.Unspecified, node, outSource).trim();
}
exports.printNode = printNode;
//# sourceMappingURL=print-node.js.map