import ts from 'typescript';
import { ScriptHost } from '../script-host';
type Options = {
    files?: {
        fileName: string;
        content: string;
    }[];
};
export declare class TestingLanguageServiceHost extends ScriptHost implements ts.LanguageServiceHost {
    constructor(options: Options);
    getFile(fileName: string): {
        fileName: string;
        content: string;
    } | undefined;
    loadFromFileSystem(_fileName: string): undefined;
    fileExists(_path: string): boolean;
    updateFile(fileName: string, content: string): void;
}
export declare function createTestingLanguageServiceAndHost(options: Options): {
    languageService: ts.LanguageService;
    languageServiceHost: TestingLanguageServiceHost;
};
export declare function createTestingLanguageService(options: Options): ts.LanguageService;
export {};
