import ts from '../tsmodule';
export declare function findNode(sourceFile: ts.SourceFile, position: number): ts.Node | undefined;
export declare function findAllNodes<S extends ts.Node>(sourceFile: ts.SourceFile, cond: (n: ts.Node) => S | boolean | undefined): S[];
export declare function getSanitizedTemplateText(node: ts.NoSubstitutionTemplateLiteral | ts.TemplateExpression, source?: ts.SourceFile): {
    text: string;
    sourcePosition: number;
};
export declare function isTemplateLiteralTypeNode(node: ts.Node): node is ts.TemplateLiteralTypeNode;
export declare function isImportDeclarationWithCondition(node: ts.Node, { isDefault, name, from }: {
    isDefault?: boolean;
    name?: string;
    from?: string;
}): boolean;
export declare function mergeImportDeclarationsWithSameModules(base: ts.ImportDeclaration, head: ts.ImportDeclaration): ts.ImportDeclaration;
export declare function removeAliasFromImportDeclaration(base: ts.ImportDeclaration, names: string[]): ts.ImportDeclaration | undefined;
