"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TypedQueryDocumentAddonFactory = void 0;
const tsmodule_1 = __importDefault(require("../tsmodule"));
const ts_ast_util_1 = require("../ts-ast-util");
const TypedQueryDocumentAddonFactory = ({ source }) => ({
    operationDefinition({ tsResultNode, tsVariableNode }) {
        const lhs = ts_ast_util_1.astf.createIdentifier(`${tsResultNode.name.text}Document`);
        const rhs = ts_ast_util_1.astf.createTypeReferenceNode(ts_ast_util_1.astf.createIdentifier('TypedDocumentNode'), [
            ts_ast_util_1.astf.createTypeReferenceNode(ts_ast_util_1.astf.createIdentifier(tsResultNode.name.text)),
            ts_ast_util_1.astf.createTypeReferenceNode(ts_ast_util_1.astf.createIdentifier(tsVariableNode.name.text)),
        ]);
        const modifiers = [ts_ast_util_1.astf.createModifier(tsmodule_1.default.SyntaxKind.ExportKeyword)];
        const typeAliasDeclaration = ts_ast_util_1.astf.createTypeAliasDeclaration(modifiers, lhs, undefined, rhs);
        // source.pushNamedImportIfNeeded('TypedQueryDocumentNode', 'graphql');
        source.pushNamedImportIfNeeded('TypedDocumentNode', '@graphql-typed-document-node/core');
        source.pushStatement(typeAliasDeclaration);
    },
});
exports.TypedQueryDocumentAddonFactory = TypedQueryDocumentAddonFactory;
//# sourceMappingURL=typed-query-document.js.map