import type { Compiler } from 'webpack';
import { type GetTransformerOptions } from '../transformer';
type WatchFileSystemCompiler = Compiler & {
    watchFileSystem: {
        watcher: {
            mtimes?: {
                [name: string]: number;
            };
        };
        wfs: {
            watcher: {
                mtimes?: {
                    [name: string]: number;
                };
            };
        };
    };
};
export declare class WebpackPlugin {
    private readonly _host;
    private _disabled;
    constructor({ tsconfigPath }?: {
        tsconfigPath?: string;
    });
    getTransformer(options?: GetTransformerOptions): (ctx: import("typescript").TransformationContext) => (sourceFile: import("typescript").SourceFile) => import("typescript").SourceFile;
    apply(compiler: WatchFileSystemCompiler): void;
}
export {};
